Ruby 1.9.2p136(2010-12-25revision30365)

- Main Page
- Modules
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

Data Fields

# rb_objspace Struct Reference

## Data Fields
struct {
size_t limit
size_t increase
} | malloc_params
struct {
size_t increment
struct heaps_slot * ptr
size_t length
size_t used
RVALUE * freelist
RVALUE * range [2]
RVALUE * freed
} | heap
struct {
int dont_gc
int during_gc
} | flags
struct {
st_table * table
RVALUE * deferred
} | final
struct {
VALUE buffer [MARK_STACK_MAX]
VALUE * ptr
int overflow
} | markstack
struct {
int run
gc_profile_record * record
size_t count
size_t size
double invoke_time
} | profile
struct gc_list * | global_list
unsigned int | count
int | gc_stress

## Detailed Description

Definition at line 296 of file gc.c.

## Field Documentation

VALUE rb_objspace::buffer[MARK_STACK_MAX]

Definition at line 323 of file gc.c.

size_t rb_objspace::count

Definition at line 330 of file gc.c.

Referenced by garbage_collect(), gc_profile_clear(), gc_profile_record_get(), gc_profile_result(), and gc_profile_total_time().

unsigned int rb_objspace::count

Definition at line 335 of file gc.c.

RVALUE* rb_objspace::deferred

Definition at line 320 of file gc.c.

int rb_objspace::dont_gc

Definition at line 315 of file gc.c.

int rb_objspace::during_gc

Definition at line 316 of file gc.c.

struct { ... } rb_objspace::final

struct { ... } rb_objspace::flags

RVALUE* rb_objspace::freed

Definition at line 312 of file gc.c.

RVALUE* rb_objspace::freelist

Definition at line 310 of file gc.c.

int rb_objspace::gc_stress

Definition at line 336 of file gc.c.

struct gc_list* rb_objspace::global_list

Definition at line 334 of file gc.c.

struct { ... } rb_objspace::heap

size_t rb_objspace::increase

Definition at line 299 of file gc.c.

size_t rb_objspace::increment

Definition at line 306 of file gc.c.

double rb_objspace::invoke_time

Definition at line 332 of file gc.c.

Referenced by init_heap().

size_t rb_objspace::length

Definition at line 308 of file gc.c.

size_t rb_objspace::limit

Definition at line 298 of file gc.c.

struct { ... } rb_objspace::malloc_params

Referenced by vm_xfree(), vm_xmalloc(), and vm_xrealloc().

struct { ... } rb_objspace::markstack

int rb_objspace::overflow

Definition at line 325 of file gc.c.

struct { ... } rb_objspace::profile

Referenced by gc_profile_clear(), gc_profile_disable(), gc_profile_enable(), gc_profile_enable_get(), gc_profile_record_get(), gc_profile_result(), gc_profile_total_time(), init_heap(), and rb_objspace_free().

VALUE* rb_objspace::ptr

Definition at line 324 of file gc.c.

struct heaps_slot* rb_objspace::ptr

Definition at line 307 of file gc.c.

Referenced by rb_thread_mark(), thread_free(), thread_memsize(), and vm_memsize().

RVALUE* rb_objspace::range[2]

Definition at line 311 of file gc.c.

gc_profile_record* rb_objspace::record

Definition at line 329 of file gc.c.

Referenced by gc_profile_clear(), gc_profile_record_get(), gc_profile_total_time(), and rb_objspace_free().

int rb_objspace::run

Definition at line 328 of file gc.c.

Referenced by gc_profile_disable(), gc_profile_enable(), gc_profile_enable_get(), gc_profile_record_get(), gc_profile_result(), and gc_profile_total_time().

size_t rb_objspace::size

Definition at line 331 of file gc.c.

Referenced by gc_profile_clear().

st_table* rb_objspace::table

Definition at line 319 of file gc.c.

size_t rb_objspace::used

Definition at line 309 of file gc.c.

The documentation for this struct was generated from the following file:

- gc.c